GET
/v1/mgmt/outbound/apps

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

List all outbound applications

This endpoint allows you to retrieve all outbound applications configured in your project.

curl -X GET "https://api.descope.com/v1/mgmt/outbound/apps"
{  "apps": [    {      "id": "string",      "name": "string",      "description": "string",      "clientId": "string",      "logo": "string",      "discoveryUrl": "string",      "authorizationUrl": "string",      "authorizationUrlParams": [        {          "key": "string",          "value": "string"        }      ],      "tokenUrl": "string",      "tokenUrlParams": [        {          "key": "string",          "value": "string"        }      ],      "revocationUrl": "string",      "defaultScopes": [        "string"      ],      "defaultRedirectUrl": "string",      "callbackDomain": "string",      "pkce": true,      "accessType": "string",      "prompt": [        "string"      ],      "clientSecret": "string",      "appType": "string",      "useDcr": true,      "dcrUrl": "string",      "tenantId": "string"    }  ]}
export interface Response {apps?: {id?: stringname?: stringdescription?: stringclientId?: stringlogo?: stringdiscoveryUrl?: stringauthorizationUrl?: stringauthorizationUrlParams?: {key?: stringvalue?: string}[]tokenUrl?: stringtokenUrlParams?: {key?: stringvalue?: string}[]revocationUrl?: stringdefaultScopes?: string[]defaultRedirectUrl?: stringcallbackDomain?: stringpkce?: booleanaccessType?: stringprompt?: string[]clientSecret?: stringappType?: stringuseDcr?: booleandcrUrl?: stringtenantId?: string}[]}
Was this helpful?